package db.util;

import java.util.Arrays;
import java.util.function.Predicate;

public class ArrayHelper {
    /// See https://doc.rust-lang.org/stable/std/primitive.slice.html#method.partition_point].
    public static int partitionPoint(int[] arr, Predicate<Integer> pred) {
        int n = arr.length;
        int low = 0, high = n - 1;
        while (low < high) {
            int mid = low + (high - low) / 2;
            if (pred.test(arr[mid])) {
                low = mid + 1;
            } else {
                high = mid;
            }
        }
        return low;
    }
}
