import config.Globals;
import db.*;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TestGetHistSnapMultiPointUsePage {
    public static void main(String[] args) throws ParseException {
        String host = Globals.HOST;
        int port = Globals.port;
        String metricName = "metricName";
        HashMap<String, String> tags0 = new HashMap<>();
        tags0.put("pointName", "pointName_test111");
        tags0.put("status", "3");
        Point point0 = new Point(metricName, tags0);

        HashMap<String, String> tags1 = new HashMap<>();
        tags1.put("pointName", "pointName_test112");
        tags1.put("status", "3");
        Point point1 = new Point(metricName, tags1);

        ArrayList<Point> points = new ArrayList<>();
        points.add(point0);
        points.add(point1);

        String start = "2021-08-15 10:00:00";
        String end =  "2021-08-15 10:00:02";
        long startTime = Util.dateStringToUTCMilliSeconds(start);
        long endTime = Util.dateStringToUTCMilliSeconds(end);

        int pageIndex = 0;
        int pageSize = 5;

        long testBegin = System.currentTimeMillis();
        DBApiEntry entry = DBApiEntry.initApiEntry(host,port);
        entry.setLookBack(1000);
        //        entry.setUseLB(false);
//        entry.setUseLB(true);

        int step = 10; //单位：毫秒ms
        Map<Point, PagedRangeQueryResult> result =  entry.getHistSnap(points,startTime,endTime,step,
                pageIndex, pageSize);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        for (Point point : result.keySet()) {
            System.out.println(point);
        }
        System.out.println(result.toString());
    }
}
