import config.Globals;
import db.DBApiEntry;
import db.DBVal;
import db.Point;
import db.Util;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TestGetHistSnapMultiPointWithCommonTags {
    public static void main(String[] args) throws ParseException {
        String host = Globals.HOST;
        int port = Globals.port;
        String metricName = "metricName";
        HashMap<String, String> commonTagValuePairs = new HashMap<>();
        commonTagValuePairs.put("status", "3");

        String tagNameWithDifferentValue = "pointName";
        List<String> tagValues = new ArrayList<>();
        tagValues.add("pointName_test1");
        tagValues.add("pointName_test2");
//        tagValues.add("pointName_test10");

        String start = "2021-08-15 09:59:58";
        String end =  "2021-08-15 10:00:00";
        long startTime = Util.dateStringToUTCMilliSeconds(start);
        long endTime = Util.dateStringToUTCMilliSeconds(end);

        long testBegin = System.currentTimeMillis();
        DBApiEntry entry = DBApiEntry.initApiEntry(host,port);
        //        entry.setUseLB(false);
//        entry.setUseLB(true);

        int step = 1000; //单位：毫秒ms
        Map<Point, List<DBVal>> result =  entry.getHistSnap(metricName, commonTagValuePairs,
                tagNameWithDifferentValue, tagValues,
                startTime,endTime,step);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        for (Point point : result.keySet()) {
            System.out.println(point);
        }
        System.out.println(result.toString());
    }
}
