import config.Globals;
import db.DBApiEntry;
import db.DBVal;
import db.Point;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TestGetRTValueListMultiPointWithCommonTags {
    public static void main(String[] args) {
        String host = Globals.HOST;
        int port = Globals.port;
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
        String metricName = "metricName";
        HashMap<String, String> commonTagValuePairs = new HashMap<>();
        commonTagValuePairs.put("status", "3");

        String tagNameWithDifferentValue = "pointName";
        List<String> tagValues = new ArrayList<>();

//        tagValues.add("pointName_test0");
//        tagValues.add("pointName_test1");
//        tagValues.add("pointName_test10");

        String pointNamePrefix = "pointName_test";
        int pointBeginIndex = 1;
        int pointCount = 100000;

        for(int i=0;i<pointCount;i++) {
            tagValues.add(pointNamePrefix+(pointBeginIndex+i));
        }

        long testBegin = System.currentTimeMillis();
        Map<Point, DBVal> dbvals = entry.getRTValueList(metricName, commonTagValuePairs,
                tagNameWithDifferentValue, tagValues);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        boolean isShowResult = true;
        int showSize = 10;
        int curIndex = 0;
        if(isShowResult) {
            for (DBVal val : dbvals.values()) {
                if(curIndex>=showSize) break;
                curIndex++;
                System.out.println(val.toString());
            }
        }
    }
}
