import config.Globals;
import db.DBApiEntry;
import db.DBVal;
import db.Point;
import db.Util;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TestGetValuesAtTimeMultiPointWithCommonTags {
    public static void main(String[] args) throws ParseException {
        String host = Globals.HOST;
        int port = Globals.port;
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
        String metricName = "metricName";
        HashMap<String, String> commonTagValuePairs = new HashMap<>();
        commonTagValuePairs.put("status", "3");

        String tagNameWithDifferentValue = "pointName";
        List<String> tagValues = new ArrayList<>();
        tagValues.add("pointName_test0");
        tagValues.add("pointName_test1");
//        tagValues.add("pointName_test10");

        String date = "2021-08-15 09:59:58";
        long time = Util.dateStringToUTCMilliSeconds(date);

        long testBegin = System.currentTimeMillis();
        Map<Point, DBVal> dbvals = entry.getPointsValuesAtTime(metricName, commonTagValuePairs,
                tagNameWithDifferentValue, tagValues, time);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        boolean isShowResult = true;
        if(isShowResult) {
            for (DBVal val : dbvals.values()) {
                System.out.println(val.toString());
            }
        }
    }
}
