import com.alibaba.fastjson.JSONObject;
import config.Globals;
import db.*;

import java.text.ParseException;
import java.util.HashMap;

public class TestInsertSinglePoint {
    public static void main(String[] args) throws ParseException {
//        String host = "192.168.101.87";
        String host = Globals.HOST;
        int port = Globals.port;
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
//        entry.setUseLB(false);
//        entry.setUseLB(true);

        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test111");
        tags.put("status", "3");
        JSONObject tagSystem = new JSONObject();
        tagSystem.put("dataType", "float64");
        tags.put("tagSystem", tagSystem.toString());

        Point point = new Point(metricName, tags);
        System.out.println(point);

        long timeStampBegin = Util.dateStringToUTCNanoseconds("2021-08-15 10:00:00");
        long testBegin = System.currentTimeMillis();
        int dataCountPerPoint = 1_000_000;
        long[] utcTimes = new long[dataCountPerPoint];
        double[] values = new double[dataCountPerPoint];

        for (int i = 0; i < dataCountPerPoint; i++) {
            utcTimes[i] = timeStampBegin + i * 1_000_000L;
            values[i] = i;
        }
        PointVals pointVals = new PointVals(point, dataCountPerPoint, utcTimes, values);
        long testEndCompute = System.currentTimeMillis();
        entry.insertSinglPoint(pointVals);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend total:%d (ms) compute:%d (ms) db:%d(ms)", testEnd-testBegin,
                testEndCompute-testBegin, testEnd-testEndCompute));
    }
}
