import config.Globals;
import db.DBApiEntry;
import db.DBVal;
import db.Point;
import db.Util;
import db.page.MultiPointRangePagingQuery;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class TestRangePagingQueryMultiPoint {
    public static void main(String[] args) throws Exception {
        String host = Globals.HOST;
        int port = Globals.port;
        String metricName = "metricName";
        HashMap<String, String> tags0 = new HashMap<>();
        tags0.put("pointName", "pointName_test111");
        tags0.put("status", "3");
        Point point0 = new Point(metricName, tags0);

        HashMap<String, String> tags1 = new HashMap<>();
        tags1.put("pointName", "pointName_test2");
        tags1.put("status", "3");
        Point point1 = new Point(metricName, tags1);

        ArrayList<Point> points = new ArrayList<>();
        points.add(point0);
        points.add(point1);

        String start = "2021-08-15 10:00:00";
        String end =  "2021-08-15 10:01:00";
        long startTime = Util.dateStringToUTCMilliSeconds(start);
        long endTime = Util.dateStringToUTCMilliSeconds(end);

        long testBegin = System.currentTimeMillis();
        DBApiEntry entry = DBApiEntry.initApiEntry(host,port);
        //        entry.setUseLB(false);
//        entry.setUseLB(true);
        int pageSize = 10;
        MultiPointRangePagingQuery query =  entry.createMultiPointPagingQuery(points,startTime,endTime,pageSize);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend %d (ms)", testEnd-testBegin));

        for (int i = 0; i < query.getMaxPageCount(); i++) {
            System.out.println(String.format("[%d] %s", i, query.getPage(i)));
        }

    }
}
