package step;

import config.Globals;
import db.*;

import java.text.ParseException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class TestInsertSinglePoint {
    public static void main(String[] args) throws ParseException {
//        String host = "192.168.101.87";
        String host = Globals.HOST;
        int port = Globals.port;
        DBApiEntry entry = DBApiEntry.initApiEntry(host, port);
//        entry.setUseLB(false);
//        entry.setUseLB(true);

        String metricName = "metricName";
        HashMap<String, String> tags = new HashMap<>();
        tags.put("pointName", "pointName_test119");
        tags.put("status", "3");
        Point point = new Point(metricName, tags);

        long timeStampBegin = Util.dateStringToUTCMilliSeconds("2021-08-15 10:00:00");
        long testBegin = System.currentTimeMillis();
        List<DBVal> dbvals = new ArrayList<DBVal>();

        for (int i = 0; i <= 4; i++) {
            DBVal val = new DBVal();
            val.setPoint(point);
            val.setValue(i);
            val.setUtcTimeMilliSeconds(timeStampBegin + i);
            dbvals.add(val);
        }

        for (int i = 10; i < 20; i++) {
            DBVal val = new DBVal();
            val.setPoint(point);
            val.setValue(i);
            val.setUtcTimeMilliSeconds(timeStampBegin + i);
            dbvals.add(val);
        }

        long testEndCompute = System.currentTimeMillis();
        entry.insertMultiPoint(dbvals);
        long testEnd = System.currentTimeMillis();
        System.out.println(String.format("spend total:%d (ms) compute:%d (ms) db:%d(ms)", testEnd-testBegin,
                testEndCompute-testBegin, testEnd-testEndCompute));
    }
}
